
| gvSIG desktop 1 - gvSIG feature requests #738
Automatic loading and applying of vector layer styles
06/01/2012 11:01 AM - Jose Antonio Canalejo Alonso

Status: Fixed % Done: 100%
Priority: Normal
Assignee: Francisco Puga
Category:
Target version:
gvSIG version: 1.11.0 Add-on version:
Keywords: Legend Add-on resolve version:
Has patch: Yes Add-on resolve build:
Add-on name: Unknown
Description

If a vector layer is loaded and and a ".gvl" file with the same base name exists, then the styling information should be read from that
file and applied automatically.
The attached patch developed to gvSIG CE by CSGIS Gbr and Fernando Gonzalez Cortes (Geomati.co) makes possible this
behaviour:
- http://www.youtube.com/watch?v=EfxSaJQsH8Q
- http://gvsigce.sourceforge.net/mantis/view.php?id=180
Best regards
José Canalejo

History
#1 - 06/06/2012 07:23 PM - Francisco Puga
- Status changed from New to In progress
- Assignee changed from Pablo Sanxiao to Francisco Puga
- Target version changed from 1.12.0-final to 1.12.0-rc1

I review the patch and seems good to me.

I assign the ticket to my self to commit it.

#2 - 06/06/2012 08:30 PM - Francisco Puga
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Applied in changeset r38386.

#3 - 06/12/2012 05:40 PM - Francisco Puga
- File partial_revert_38386.patch added
- Status changed from Fixed to Awaiting response

My previous commit introduce a small API change that is not needed to get the feature working. I attach a patch that reverts the API change, to allow
you review if it should be applied.
Anyway the introduced API change makes the code a bit more robust and readdable.

#4 - 06/18/2012 05:05 PM - Francisco Puga
- Status changed from Awaiting response to Fixed

#5 - 02/21/2014 09:40 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Document view)
- Target version deleted (1.12.0-rc1)

Files
180-legend.patch 6.01 KB 06/01/2012 Jose Antonio Canalejo Alonso
partial_revert_38386.patch 3.13 KB 06/12/2012 Francisco Puga
